Name: mythplugins
Version: 0.21.0
Release: alt1.svn19253
Summary: Main plugins to accompany the MythTV DVR

Url: http://www.mythtv.org/
License: GPL
Group: Video
Packager: Anton Farygin <rider@altlinux.ru>

# OpenGL for MythMusic and MythGallery
%define with_opengl        1

# All plugins get built by default, but you can disable them as you wish
%define with_mytharchive    1
%define with_mythbrowser    1
%define with_mythcontrols   1
%define with_mythflix       1
%define with_mythgallery    1
%define with_mythgame       1
%define with_mythmovies     1
%define with_mythdvd        1
%define with_mythmusic      1
%define with_mythnews       1
%define with_mythphone      1
%define with_mythvideo      1
%define with_mythweather    0
%define with_mythzoneminder 0

# MythGallery
%define with_exif           1
# MythMusic
%define with_fftw           1
%define with_sdl            1
%define with_aac            1
%define with_libvisual      1
# MythVideo
%define with_vcd            1

# MythPhone
%define with_festival       0
# MythVideo
%define with_transcode      1

Source0: http://www.mythtv.org/mc/%name-%version.tar
Patch0: mythplugins-%version-%release.patch

%if %with_mythbrowser
Requires: mythbrowser      >= %version
# Automatically added by buildreq on Fri Nov 16 2007
BuildRequires: gcc-c++ kdelibs-devel libcdaudio-devel libcdparanoia-devel libdirectfb-devel libexif-devel libfaad-devel libfftw-devel libflac-devel liblame-devel libmesa-devel libmythtv-devel libqt3-devel libSDL-devel libtag-devel libtiff-devel libvisual0.4-devel libXinerama-devel libXvMC-devel glibc-kernheaders

BuildRequires: libmythtv-devel    >= %version-%release
BuildRequires: kdelibs-devel
BuildRequires: perl-libwww
BuildRequires: python-modules-encodings perl-Encode
%endif

%if %with_transcode
BuildRequires: transcode        >= 0.6.8
%endif

%if %with_mythgallery
Requires: mythgallery      >= %version
BuildRequires: libtiff-devel
BuildRequires: libexif-devel
%endif

%if %with_mythgame
Requires: mythgame         >= %version
BuildRequires: zlib-devel
%endif

%if %with_mythmusic
Requires: mythmusic     >= %version
BuildRequires: libmad-devel
BuildRequires: taglib-devel
BuildRequires: libvorbis-devel >= 1.0
BuildRequires: libflac-devel >= 1.0.4
BuildRequires: libcdaudio-devel >= 0.99.6
BuildRequires: libcdparanoia-devel
BuildRequires: liblame-devel
BuildRequires: libmad-devel libid3tag-devel
%endif
%if %with_fftw
BuildRequires: libfftw-devel >= 2.1.3
BuildRequires: libfftw-devel < 3
%endif
%if %with_sdl
BuildRequires: libSDL-devel
%endif
%if %with_aac
BuildRequires: libfaad-devel
%endif
%if %with_libvisual
BuildRequires: libvisual0.4-devel
%endif

%if %with_mythnews
Requires: mythnews         >= %version
%endif

%if %with_mythphone
Requires: mythphone        >= %version
BuildRequires: libmythtv-devel    >= %version
BuildRequires: libtinfo-devel
%endif
%if %with_festival
BuildRequires: festival-devel
%endif

%if %with_mythvideo
Requires: mythvideo        >= %version
Requires: perl-XML-Simple
BuildRequires: libdvdread-devel >= 0.9.4
BuildRequires: nasm
#BuildRequires: mjpegtools-devel >= 1.6.1
BuildRequires: libxvid-devel   >= 0.9.1
#BuildRequires: a52dec-devel
BuildRequires: libfame-devel    >= 0.9.0
BuildRequires: libdvdcss-devel  >= 1.2.7
%endif

%if %with_mythweather
Requires: mythweather      >= %version
%endif

%if %with_mythzoneminder
Requires: mythzoneminder   >= %version
%endif

%description
This is a consolidation of all the official MythTV plugins that used to be
distributed as separate downloads from mythtv.org.

################################################################################
%if %with_mytharchive

%package -n mytharchive
Summary: A plugin to archive your recordings to DVD
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

Requires: python >= 2.3.5
Requires: python-imaging
Requires: mjpegtools
Requires: ffmpeg
Requires: dvdauthor >= 0.6.11
Requires: mkisofs   >= 2.01.01
Requires: dvd+rw-tools

%description -n mytharchive
MythArchive is a MythTV style plugin that uses the Mythburn Script to
create and burn DVD's from MythTV recordings, MythVideo files or any
video files available on a MythTV system. It can also export recordings
to a native archive format that can then be imported back into a mythtv
system restoring all the associated metadata.

%endif
################################################################################
%if %with_mythbrowser

%package -n mythbrowser
Summary: A small web browser module for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythbrowser
MythBrowser is a full fledged web-browser (multiple tabs) to display
webpages in full-screen mode. Simple page navigation is
possible. Starting with version 0.13 it also has full support for
mouse driven navigation (right mouse opens and clos es the popup
menu).

MythBrowser also contains a BookmarkManager to manage the website
links in a simple mythplugin.

%endif
################################################################################
%if %with_mythcontrols

%package -n mythcontrols
Summary: A key control editor plugin for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythcontrols
A key control editor plugin for MythTV.

%endif
################################################################################
%if %with_mythflix

%package -n mythflix
Summary: A Netflix module for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythflix
MyhtFlix is a MythTV plugin for adding movies to your Netflix queue. It
currently supports the ablity to view your queue and add movies to your queue.

%endif
################################################################################
%if %with_mythgallery

%package -n mythgallery
Summary: A gallery/slideshow module for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythgallery
A gallery/slideshow module for MythTV.

%endif
################################################################################
%if %with_mythgame

%package -n mythgame
Summary: A game frontend (xmame, nes, snes, pc) for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythgame
A game frontend (xmame, nes, snes, pc) for MythTV.

%endif
################################################################################
%if %with_mythmovies

%package -n mythmovies
Summary: A movie-times listing plugin for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythmovies
A plugin for MythTV that provides information about local movie/theatre listings.

%endif
################################################################################
%if %with_mythdvd

%package -n mythdvd
Summary: A DVD plugin for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythdvd
A DVD plugin MythTV.

%endif
################################################################################

%if %with_mythmusic

%package -n mythmusic
Summary: The music player add-on module for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythmusic
Music add-on for mythtv.

%endif
################################################################################
%if %with_mythnews

%package -n mythnews
Summary: An RSS news feed plugin for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythnews
An RSS news feed plugin for MythTV.

%endif
################################################################################
%if %with_mythphone

%package -n mythphone
Summary: A video conferencing module for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythphone
Mythphone is a phone and videophone capability on MYTH using the
standard SIP protocol.  It is compatible with Microsoft XP Messenger
and with SIP Service Providers such as Free World Dialup
(fwd.pulver.com).

%endif
################################################################################
%if %with_mythvideo

%package -n mythvideo
Summary: A generic video player frontend module for MythTV
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')
Requires: mplayer

%description -n mythvideo
A generic video player frontend module for MythTV.  This module also supports
playback of DVD files, and (optionally) rip DVDs and transcode their video and
audio content to other (generally smaller) formats.  Transcoding is based on
and derived from the excellent transcode package.

%endif
################################################################################
%if %with_mythweather

%package -n mythweather
Summary: A MythTV module that displays a weather forcast
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythweather
A MythTV module that displays a weather forcast.

%endif
################################################################################
%if %with_mythzoneminder

%package -n mythzoneminder
Summary: A MythTV module to interact with ZoneMinder
Group: Video
Requires: mythtv-frontend-api = %(echo %version | awk -F. '{print $1 "." $2}')

%description -n mythzoneminder
A MythTV module to interact with ZoneMinder

%endif
################################################################################

%prep
%setup -q
%patch0 -p1

# MythMusic fix:  /mnt/store -> /var/lib/mythmusic
%if %with_mythmusic
sed -i -e 's#/mnt/store/music#%_localstatedir/mythmusic#' mythmusic/mythmusic/globalsettings.cpp
%endif

# MythVideo fix:  /mnt/store -> /var/lib/mythvideo
%if %with_mythvideo
sed -i -e 's#/var/\w\+/mythdvd/temp#%_localstatedir/mythvideo#' mythvideo/mythvideo/globalsettings.cpp
%endif

# Prevent all of those nasty installs to ../../../../../bin/whatever
echo "QMAKE_PROJECT_DEPTH = 0" >> mythtv.pro
echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro

################################################################################

%build
export QTDIR=%_qt3dir

# Initialize the options string
OPTS=""

# Enable OpenGL (for MythMusic and MythGallery)
%if %with_opengl
    OPTS="$OPTS --enable-opengl"
%else
    OPTS="$OPTS --disable-opengl"
%endif

# Disable any of the plugins?
%if !%with_mythmusic
    OPTS="$OPTS --disable-mythmusic"
%endif
%if !%with_mytharchive
  --disable-mytharchive
%endif
%if !%with_mythbrowser
    OPTS="$OPTS --disable-mythbrowser"
%endif
%if !%with_mythcontrols
    OPTS="$OPTS --disable-mythcontrols"
%endif
%if !%with_mythflix
    OPTS="$OPTS --disable-mythflix"
%endif
%if !%with_mythgallery
    OPTS="$OPTS --disable-mythgallery"
%endif
%if !%with_mythgame
    OPTS="$OPTS --disable-mythgame"
%endif
%if !%with_mythmovies
    OPTS="$OPTS --disable-mythmovies"
%endif
%if !%with_mythdvd
    OPTS="$OPTS --disable-mythdvd"
%endif
%if !%with_mythmusic
    OPTS="$OPTS --disable-mythmusic"
%endif
%if !%with_mythnews
    OPTS="$OPTS --disable-mythnews"
%endif
%if !%with_mythphone
    OPTS="$OPTS --disable-mythphone"
%endif
%if !%with_mythvideo
    OPTS="$OPTS --disable-mythvideo"
%endif
%if %with_mythweather
    OPTS="$OPTS --enable-mythweather"
%endif
%if !%with_mythzoneminder
    OPTS="$OPTS --disable-mythzoneminder"
%endif

# MythGallery options
%if %with_exif
    OPTS="$OPTS --enable-exif"
%else
    OPTS="$OPTS --disable-exif"
%endif

# MythMusic options
%if %with_aac
    OPTS="$OPTS --enable-aac"
%else
    OPTS="$OPTS --disable-aac"
%endif
%if %with_fftw
    OPTS="$OPTS --enable-fftw"
%else
    OPTS="$OPTS --disable-fftw"
%endif
%if %with_sdl
    OPTS="$OPTS --enable-sdl"
%else
    OPTS="$OPTS --disable-sdl"
%endif
%if %with_libvisual
    OPTS="$OPTS --enable-libvisual"
%else
    OPTS="$OPTS --disable-libvisual"
%endif

# MythPhone options
%if %with_festival
    OPTS="$OPTS --enable-festival"
%else
    OPTS="$OPTS --disable-festival"
%endif

# MythVideo options
%if %with_transcode
    OPTS="$OPTS --enable-transcode"
%else
    OPTS="$OPTS --disable-transcode"
%endif
%if %with_vcd
    OPTS="$OPTS --enable-vcd"
%else
    OPTS="$OPTS --disable-vcd"
%endif

# Configure
%configure  --libdir-name=%_lib $OPTS

# Make
qmake-qt3 mythplugins.pro
%make_build QMAKE=qmake-qt3

################################################################################

%install
%makeinstall INSTALL_ROOT=%buildroot

# Create some directories that are specific to the rpm installation

%if %with_mythgallery
mkdir -p %buildroot%_localstatedir/pictures
%endif

%if %with_mythgame
mkdir -p %buildroot%_datadir/mythtv/games/nes/{roms,screens}
mkdir -p %buildroot%_datadir/mythtv/games/snes/{roms,screens}
mkdir -p %buildroot%_datadir/mythtv/games/PC/screens
cp -a mythgame/gamelist.xml %buildroot%_datadir/mythtv/games/PC/
# Link MythGame's xmame directory to the main xmame one, so users can use
# either app.
mkdir -p %buildroot%_datadir/xmame/{flyers,screens}
ln -s %_datadir/xmame %buildroot%_datadir/mythtv/games/xmame
%endif

%if %with_mythmusic
mkdir -p %buildroot%_localstatedir/mythmusic
%endif

%if %with_mythvideo
mkdir -p %buildroot%_localstatedir/mythvideo
%endif

################################################################################

%files

################################################################################
%if %with_mytharchive

%files -n mytharchive
%doc mytharchive/README mytharchive/COPYING mytharchive/AUTHORS
%_bindir/mytharchivehelper
%_libdir/mythtv/plugins/libmytharchive.so
%_datadir/mythtv/mytharchive
%_datadir/mythtv/archive*.xml
%_datadir/mythtv/i18n/mytharchive_*.qm
%_datadir/mythtv/themes/default/ma_*png
%_datadir/mythtv/themes/default/mytharchive-ui.xml
%_datadir/mythtv/themes/default/mythburn-ui.xml
%_datadir/mythtv/themes/default/mythnative-ui.xml

%endif
################################################################################
%if %with_mythbrowser

%files -n mythbrowser
%doc mythbrowser/README mythbrowser/COPYING mythbrowser/AUTHORS
%_bindir/mythbrowser
%_libdir/mythtv/plugins/libmythbookmarkmanager.so
%_datadir/mythtv/themes/default/webpage.png
%_datadir/mythtv/i18n/mythbrowser_*.qm

%endif
################################################################################
%if %with_mythcontrols

%files -n mythcontrols
%doc mythcontrols/AUTHORS mythcontrols/TODO mythcontrols/COPYING mythcontrols/README
%_datadir/mythtv/i18n/mythcontrols_*.qm
%_libdir/mythtv/plugins/libmythcontrols.so
%_datadir/mythtv/themes/default/controls-ui.xml
%_datadir/mythtv/themes/default/kb-button-off.png
%_datadir/mythtv/themes/default/kb-button-on.png

%endif
################################################################################
%if %with_mythflix

%files -n mythflix
%doc mythflix/README mythflix/COPYING
%_datadir/mythtv/i18n/mythflix_*
%_datadir/mythtv/mythflix/
%_datadir/mythtv/netflix_menu.xml
%_datadir/mythtv/themes/default/netflix-ui.xml
%_datadir/mythtv/themes/default/title_netflix.png
%_libdir/mythtv/plugins/libmythflix.so

%endif
################################################################################
%if %with_mythgallery

%files -n mythgallery
%doc mythgallery/README mythgallery/COPYING
%_libdir/mythtv/plugins/libmythgallery.so
%_datadir/mythtv/themes/default/gallery-*
%_datadir/mythtv/i18n/mythgallery_*.qm
%_localstatedir/pictures

%endif
################################################################################
%if %with_mythgame

%files -n mythgame
%_libdir/mythtv/plugins/libmythgame.so
%_datadir/mythtv/game_settings.xml
%_datadir/mythtv/themes/default/game-ui.xml
%_datadir/mythtv/i18n/mythgame_*.qm
# What a mess.  And all we really want to do is say that gamelist.xml is a
# config file.
%_datadir/mythtv/games/nes
%_datadir/mythtv/games/snes
%_datadir/mythtv/games/xmame
%dir %_datadir/mythtv/games/PC
%_datadir/mythtv/games/PC/screens
%config %_datadir/mythtv/games/PC/gamelist.xml
# xmame should technically own this directory, but we've installed it here
# so people can run xmame and mythgame from the same set of config files.
%_datadir/xmame

%endif
################################################################################
%if %with_mythmovies

%files -n mythmovies
%doc mythmovies/README mythmovies/TODO
%_bindir/ignyte
%_libdir/mythtv/plugins/libmythmovies.so
%_datadir/mythtv/themes/default/movies-ui.xml
%_datadir/mythtv/themes/default-wide/movies-ui.xml

%endif

%if %with_mythmusic

%files -n mythmusic
%doc mythmusic/README mythmusic/COPYING mythmusic/AUTHORS mythmusic/musicdb
%_libdir/mythtv/plugins/libmythmusic.so
%_localstatedir/mythmusic
%_datadir/mythtv/music*.xml
%_datadir/mythtv/i18n/mythmusic_*.qm
%_datadir/mythtv/themes/default/ff_button_off.png
%_datadir/mythtv/themes/default/ff_button_on.png
%_datadir/mythtv/themes/default/ff_button_pushed.png
%_datadir/mythtv/themes/default/mm_*
%_datadir/mythtv/themes/default/music*
%_datadir/mythtv/themes/default/next_button_off.png
%_datadir/mythtv/themes/default/next_button_on.png
%_datadir/mythtv/themes/default/next_button_pushed.png
%_datadir/mythtv/themes/default/pause_button_off.png
%_datadir/mythtv/themes/default/pause_button_on.png
%_datadir/mythtv/themes/default/pause_button_pushed.png
%_datadir/mythtv/themes/default/play_button_off.png
%_datadir/mythtv/themes/default/play_button_on.png
%_datadir/mythtv/themes/default/play_button_pushed.png
%_datadir/mythtv/themes/default/prev_button_off.png
%_datadir/mythtv/themes/default/prev_button_on.png
%_datadir/mythtv/themes/default/prev_button_pushed.png
%_datadir/mythtv/themes/default/rew_button_off.png
%_datadir/mythtv/themes/default/rew_button_on.png
%_datadir/mythtv/themes/default/rew_button_pushed.png
%_datadir/mythtv/themes/default/selectionbar.png
%_datadir/mythtv/themes/default/stop_button_off.png
%_datadir/mythtv/themes/default/stop_button_on.png
%_datadir/mythtv/themes/default/stop_button_pushed.png
%_datadir/mythtv/themes/default/track_info_background.png

%endif
################################################################################
%if %with_mythnews

%files -n mythnews
%doc mythnews/README mythnews/AUTHORS mythnews/COPYING
%_libdir/mythtv/plugins/libmythnews.so
%_datadir/mythtv/mythnews
%_datadir/mythtv/themes/default/enclosures.png
%_datadir/mythtv/themes/default/need-download.png
%_datadir/mythtv/themes/default/news-info-bg.png
%_datadir/mythtv/themes/default/news-ui.xml
%_datadir/mythtv/i18n/mythnews_*.qm

%endif
################################################################################
%if %with_mythphone

%files -n mythphone
%doc mythphone/README mythphone/COPYING mythphone/AUTHORS mythphone/TODO
%_libdir/mythtv/plugins/libmythphone.so
%_datadir/mythtv/themes/default/phone-ui.xml
%_datadir/mythtv/themes/default/webcam-ui.xml
%_datadir/mythtv/themes/default/mp_*.png
%_datadir/mythtv/themes/default/phone.png
%_datadir/mythtv/i18n/mythphone_*.qm

%endif
################################################################################
%if %with_mythvideo

%files -n mythvideo
%doc mythvideo/README mythvideo/COPYING mythvideo/videodb
%_bindir/mtd
%_libdir/mythtv/plugins/libmythvideo.so
%_datadir/mythtv/i18n/mythvideo_*.qm
%_datadir/mythtv/video_settings.xml
%_datadir/mythtv/videomenu.xml
%_datadir/mythtv/mythvideo/
%_localstatedir/mythvideo
%_datadir/mythtv/themes/default/video-ui.xml
%_datadir/mythtv/themes/default/mv-*.png
%_datadir/mythtv/themes/default/mv_*.png
%_datadir/mythtv/themes/default-wide/mv-*.png
%_datadir/mythtv/themes/default-wide/mv_*.png
%_datadir/mythtv/themes/default/md_*.png
%_datadir/mythtv/themes/default-wide/dvd-ui.xml
%_datadir/mythtv/themes/default-wide/video-ui.xml
%_datadir/mythtv/themes/default/dvd-ui.xml

%endif
################################################################################
%if %with_mythweather

%files -n mythweather
%doc mythweather/README mythweather/COPYING
%_libdir/mythtv/plugins/libmythweather.so
%_datadir/mythtv/i18n/mythweather_*.qm
%_datadir/mythtv/mythweather/
%_datadir/mythtv/weather_settings.xml
%_datadir/mythtv/themes/default/weather-ui.xml
%_datadir/mythtv/themes/default/cloudy.png
%_datadir/mythtv/themes/default/fair.png
%_datadir/mythtv/themes/default/flurries.png
%_datadir/mythtv/themes/default/fog.png
%_datadir/mythtv/themes/default/logo.png
%_datadir/mythtv/themes/default/lshowers.png
%_datadir/mythtv/themes/default/mcloudy.png
%_datadir/mythtv/themes/default/mwmain.png
%_datadir/mythtv/themes/default/pcloudy.png
%_datadir/mythtv/themes/default/rainsnow.png
%_datadir/mythtv/themes/default/showers.png
%_datadir/mythtv/themes/default/snowshow.png
%_datadir/mythtv/themes/default/sunny.png
%_datadir/mythtv/themes/default/thunshowers.png
%_datadir/mythtv/themes/default/unknown.png

%endif
################################################################################
%if %with_mythzoneminder

%files -n mythzoneminder
%doc mythzoneminder/AUTHORS mythzoneminder/README mythzoneminder/COPYING
%_bindir/mythzmserver
%_libdir/mythtv/plugins/libmythzoneminder.so
%_datadir/mythtv/themes/default/mz_*
%_datadir/mythtv/themes/default/zoneminder-ui.xml
%_datadir/mythtv/themes/default-wide/zoneminder-ui.xml
%_datadir/mythtv/zonemindermenu.xml

%endif
################################################################################

%changelog
* Wed Dec 10 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn19253
- new snapshot from release-0-21-fixes

* Wed May 14 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn17305
- new snapshot from release-0-21-fixes

* Tue May 06 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn17256
- new snapshot from release-0-21-fixes

* Tue Apr 22 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn17100
- new snapshot from release-0-21-fixes

* Wed Apr 02 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn16875
- new snapshot from release-0-21-fixes

* Thu Mar 20 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn16658
- new snapshot
- removed arts depends

* Tue Feb 26 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn16260
- new snapshot

* Fri Feb 22 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn16196
- new snapshot

* Wed Feb 20 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn16178
- new snapshot

* Mon Feb 18 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn16133
- new snapshot

* Fri Feb 15 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn16032
- new snapshot

* Thu Feb 07 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15814
- new snapshot

* Wed Feb 06 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15778
- new snapshot

* Sun Jan 27 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15617
- new snapshot

* Sat Jan 26 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15596
- new snapshot

* Tue Jan 15 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15438
- new snapshot

* Fri Jan 11 2008 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15405
- new snapshot

* Thu Dec 06 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15072
- new snapshot

* Wed Dec 05 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15059
- new snapshot

* Fri Nov 30 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn15004
- new snapshot

* Thu Nov 29 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt1.svn14982
- new snapshot

* Tue Nov 27 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt0.svn20071127
- new snapshot

* Wed Nov 21 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt0.svn20071121
- updated svn

* Tue Nov 20 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt0.svn20071120
- updated svn

* Mon Nov 19 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt0.svn20071119
- updated svn

* Sat Nov 17 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt0.svn20071117
- updated svn

* Fri Nov 16 2007 Anton Farygin <rider@altlinux.ru> 0.21.0-alt0.svn20071113
- new version, build from svn

* Sun Oct 28 2007 Anton Farygin <rider@altlinux.ru> 0.20.2-alt1
- first build for Sisyphus, based on specfile from mainstream

